[arch-commits] Commit in qt6-base/repos/kde-unstable-x86_64 (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Sun Nov 29 12:28:47 UTC 2020


    Date: Sunday, November 29, 2020 @ 12:28:47
  Author: arojas
Revision: 402394

archrelease: copy kde-unstable to kde-unstable-x86_64

Added:
  qt6-base/repos/kde-unstable-x86_64/PKGBUILD
    (from rev 402393, qt6-base/kde-unstable/PKGBUILD)
Deleted:
  qt6-base/repos/kde-unstable-x86_64/PKGBUILD

----------+
 PKGBUILD |  110 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 55 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-29 12:16:41 UTC (rev 402393)
+++ PKGBUILD	2020-11-29 12:28:47 UTC (rev 402394)
@@ -1,55 +0,0 @@
-# Maintainer: Antonio Rojas <arojas at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Andrea Scarpino <andrea at archlinux.org>
-
-pkgname=qt6-base
-_qtver=6.0.0-rc
-pkgver=${_qtver/-/}
-pkgrel=1
-arch=(x86_64)
-url='https://www.qt.io'
-license=(GPL3 LGPL3 FDL custom)
-pkgdesc='A cross-platform application and UI framework'
-depends=(libjpeg-turbo xcb-util-keysyms xcb-util-cursor libgl fontconfig xdg-utils
-         shared-mime-info xcb-util-wm libxrender libxi sqlite mesa
-         tslib libinput libxkbcommon-x11 libproxy libcups double-conversion md4c brotli libb2)
-makedepends=(cmake libfbclient mariadb-libs unixodbc postgresql alsa-lib gst-plugins-base-libs
-             gtk3 libpulse cups freetds vulkan-headers)
-optdepends=('postgresql-libs: PostgreSQL driver'
-            'mariadb-libs: MariaDB driver'
-            'unixodbc: ODBC driver'
-            'libfbclient: Firebird/iBase driver'
-            'freetds: MS SQL driver'
-            'gtk3: GTK platform plugin'
-            'perl: for syncqt')
-groups=(qt6)
-_pkgfn="${pkgname/6-/}-everywhere-src-${_qtver}"
-source=("https://download.qt.io/development_releases/qt/${pkgver%.*}/$_qtver/submodules/$_pkgfn.tar.xz")
-sha256sums=('8dc2c6fe053235e4a2866d8e1927fd667e5e8c853c96de708b9688012089138d')
-
-build() {
-  cmake -B build -S $_pkgfn \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DINSTALL_BINDIR=lib/qt6/bin \
-    -DINSTALL_DOCDIR=share/doc/qt6 \
-    -DINSTALL_ARCHDATADIR=lib/qt6 \
-    -DINSTALL_DATADIR=share/qt6 \
-    -DINSTALL_INCLUDEDIR=include/qt6 \
-    -DINSTALL_MKSPECSDIR=lib/qt6/mkspecs \
-    -DINSTALL_EXAMPLESDIR=share/doc/qt6/examples \
-    -DQT_FEATURE_journald=ON \
-    -DQT_FEATURE_openssl_linked=ON
-  cmake --build build
-}
-
-package() {
-  DESTDIR="$pkgdir" cmake --install build
-
-  install -Dm644 $_pkgfn/LICENSE* -t "$pkgdir"/usr/share/licenses/$pkgbase
-
-  # Symlinks for backwards compatibility
-  mkdir -p "$pkgdir"/usr/bin
-  for _b in uic rcc qmake; do
-    ln -rs "$pkgdir"/usr/lib/qt6/bin/$_b "$pkgdir"/usr/bin/$_b-qt6
-  done
-}

Copied: qt6-base/repos/kde-unstable-x86_64/PKGBUILD (from rev 402393, qt6-base/kde-unstable/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-11-29 12:28:47 UTC (rev 402394)
@@ -0,0 +1,55 @@
+# Maintainer: Antonio Rojas <arojas at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=qt6-base
+_qtver=6.0.0-rc
+pkgver=${_qtver/-/}
+pkgrel=2
+arch=(x86_64)
+url='https://www.qt.io'
+license=(GPL3 LGPL3 FDL custom)
+pkgdesc='A cross-platform application and UI framework'
+depends=(libjpeg-turbo xcb-util-keysyms xcb-util-cursor libgl fontconfig xdg-utils
+         shared-mime-info xcb-util-wm libxrender libxi sqlite mesa
+         tslib libinput libxkbcommon-x11 libproxy libcups double-conversion brotli libb2) # md4c - not supported yet
+makedepends=(cmake libfbclient mariadb-libs unixodbc postgresql alsa-lib gst-plugins-base-libs
+             gtk3 libpulse cups freetds vulkan-headers xmlstarlet)
+optdepends=('postgresql-libs: PostgreSQL driver'
+            'mariadb-libs: MariaDB driver'
+            'unixodbc: ODBC driver'
+            'libfbclient: Firebird/iBase driver'
+            'freetds: MS SQL driver'
+            'gtk3: GTK platform plugin'
+            'perl: for syncqt')
+groups=(qt6)
+_pkgfn="${pkgname/6-/}-everywhere-src-${_qtver}"
+source=("https://download.qt.io/development_releases/qt/${pkgver%.*}/$_qtver/submodules/$_pkgfn.tar.xz")
+sha256sums=('8dc2c6fe053235e4a2866d8e1927fd667e5e8c853c96de708b9688012089138d')
+
+build() {
+  cmake -B build -S $_pkgfn \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DINSTALL_BINDIR=lib/qt6/bin \
+    -DINSTALL_DOCDIR=share/doc/qt6 \
+    -DINSTALL_ARCHDATADIR=lib/qt6 \
+    -DINSTALL_DATADIR=share/qt6 \
+    -DINSTALL_INCLUDEDIR=include/qt6 \
+    -DINSTALL_MKSPECSDIR=lib/qt6/mkspecs \
+    -DINSTALL_EXAMPLESDIR=share/doc/qt6/examples \
+    -DQT_FEATURE_journald=ON \
+    -DQT_FEATURE_openssl_linked=ON
+  cmake --build build
+}
+
+package() {
+  DESTDIR="$pkgdir" cmake --install build
+
+  install -Dm644 $_pkgfn/LICENSE* -t "$pkgdir"/usr/share/licenses/$pkgbase
+
+  # Symlinks for backwards compatibility
+  mkdir -p "$pkgdir"/usr/bin
+  for _b in $(ls "$pkgdir"/usr/lib/qt6/bin); do
+    ln -rs "$pkgdir"/usr/lib/qt6/bin/$_b "$pkgdir"/usr/bin/$_b-qt6
+  done
+}


More information about the arch-commits mailing list